Bug 217572 - lang/clang* packages don't run ccache-update-links
Summary: lang/clang* packages don't run ccache-update-links
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Brooks Davis
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-03-05 23:12 UTC by rwmaillists
Modified: 2018-02-02 23:15 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description rwmaillists 2017-03-05 23:12:45 UTC
When gcc packages are [de]installed, ccache-update-links is run automatically to update the ccache compiler simlinks. This doesn't seem to happen with clang/llvm ports. 

Note that because of https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=217570
it's not obvious that ccache-update-links is being run on gcc deinstall.

_FORCE_POST_PATTERNS in  bsd.port.mk contains  ccache-update-links, so this might be a more of "Port Framework" or pkg problem.
Comment 1 Brooks Davis freebsd_committer 2017-03-06 18:12:44 UTC
Given the number of compiler ports, it seems like this should have a USES module.
Comment 2 commit-hook freebsd_committer 2017-10-14 18:55:16 UTC
A commit references this bug:

Author: brooks
Date: Sat Oct 14 18:54:52 UTC 2017
New revision: 452079
URL: https://svnweb.freebsd.org/changeset/ports/452079

Log:
  Fix build without EXTRAS (clangd is part of EXTRAS, not CLANG). [0]

  Update ccache links on install/deinstall. [1]

  PR:		222964 [0], 217572 [1]

Changes:
  head/devel/llvm50/Makefile
  head/devel/llvm50/pkg-plist
Comment 3 commit-hook freebsd_committer 2017-10-15 18:26:40 UTC
A commit references this bug:

Author: brooks
Date: Sun Oct 15 18:26:20 UTC 2017
New revision: 452160
URL: https://svnweb.freebsd.org/changeset/ports/452160

Log:
  Fix hardcoded version in clang-format. [0]

  Run ccache-update-links on install and deinstall. [1]

  PR:		220995 [0], 217572 [1]

Changes:
  head/devel/llvm40/Makefile
  head/devel/llvm40/files/clang-patch-tools_clang_tools_clang-format_clang-format-sublime.py
  head/devel/llvm40/files/clang-patch-tools_clang_tools_clang-format_clang-format.py
  head/devel/llvm40/files/clang-patch-tools_clang_tools_clang-format_git-clang-format
  head/devel/llvm40/pkg-plist
Comment 4 Walter Schwarzenfeld freebsd_triage 2018-01-22 01:21:00 UTC
Forgotten to close?
Comment 5 commit-hook freebsd_committer 2018-01-24 17:30:04 UTC
A commit references this bug:

Author: brooks
Date: Wed Jan 24 17:29:58 UTC 2018
New revision: 459847
URL: https://svnweb.freebsd.org/changeset/ports/459847

Log:
  Update to a new snapshot.

  Fix builds on platforms without OPENMP support.

  Run ccache-update-links on install and deinstall. [0]

  PR:		217572 [0]

Changes:
  head/devel/llvm-devel/Makefile
  head/devel/llvm-devel/Makefile.snapshot
  head/devel/llvm-devel/distinfo
  head/devel/llvm-devel/pkg-plist
Comment 6 Brooks Davis freebsd_committer 2018-02-02 23:15:59 UTC
This is fixed back to llvm40 and in llvm-cheri so I'm going to close it.  If someone needs an earlier version let me know and I'll update it.